#ifndef STACK_H
#define STACK_H

#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>

typedef struct {
  long value;
  struct sNode *next;
} sNode;

typedef struct {
  sNode *tail;
}Stack;

Stack * initStack( void );
void push(Stack * myStack, long value);
long pop(Stack * myStack);
long stackPeek(Stack * myStack);
void sPrint(Stack * myStack);
bool isEmpty(Stack * myStack);

#endif
